Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class DateTimeFormatValue

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.FormatValue
              org.eclipse.birt.report.model.api.elements.structures.DateTimeFormatValue

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class DateTimeFormatValue

extends FormatValue

The format value for the data-time.

Field Summary
`static java.lang.String` | `FORMAT_VALUE_STRUCT` Name of this structure.

Fields inherited from class org.eclipse.birt.report.model.api.elements.structures.FormatValue
`CATEGORY_MEMBER, PATTERN_MEMBER`

Constructor Summary
`DateTimeFormatValue()`

Method Summary
`StructureHandle` | `getHandle(SimpleValueHandle valueHandle)` Return an `FormatValueHandle` to deal with the date-time format.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.

Methods inherited from class org.eclipse.birt.report.model.api.elements.structures.FormatValue
`getCategory, getIntrinsicProperty, getPattern, setCategory, setIntrinsicProperty, setPattern, toString`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FORMAT_VALUE_STRUCT

    public static final java.lang.String FORMAT_VALUE_STRUCT

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

Constructor Detail

### DateTimeFormatValue

    public DateTimeFormatValue()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

### getHandle

    public StructureHandle getHandle(SimpleValueHandle valueHandle)

  Return an `FormatValueHandle` to deal with the date-time format.

  Overrides:
    `getHandle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the property or member handle
  Returns:
    the strcuture handle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.